## org.biojava.bio.seq.io.agave
Class AGAVEBioSeqHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXFeatureHandler
              org.biojava.bio.seq.io.agave.AGAVEBioSeqHandler

All Implemented Interfaces:
  AGAVEBioSeqCallbackItf, SequenceHandler, StAXContentHandler

public class AGAVEBioSeqHandler
extends StAXFeatureHandler
implements AGAVEBioSeqCallbackItf, SequenceHandler

Handles the AGAVE <bio_sequence> element

Author:
  David Huen, Hanning Ni Doubletwist Inc, Greg Cox

Field Summary
`static StAXHandlerFactory` `AGAVE_BIO_SEQ_HANDLER_FACTORY`
`protected Sequence` `sequence`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`annot, callbackStack, endLoc, featureListener, featureTemplate, myLocalName, stackLevel, startLoc, staxenv, subFeatures`

Method Summary
`void` `endElementHandler(java.lang.String nsURI, java.lang.String localName, java.lang.String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.
`void` `reportDna(java.lang.String dna_seq)`
`void` `reportFeature(Location loc)` Allows nesting class that manages a gene template to gain information about its extent from nested elements.
`void` `reportStrand(StrandedFeature.Strand strand)`
`void` `startElementHandler(java.lang.String nsURI, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`addFeatureToSequence, addHandler, createTemplate, endElement, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, realizeSubFeatures, setFeatureListener, setHandlerCharacteristics, setProperty, startElement`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_BIO_SEQ_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_BIO_SEQ_HANDLER_FACTORY

### sequence

    protected Sequence sequence

Method Detail

### reportStrand

    public void reportStrand(StrandedFeature.Strand strand)

  Specified by:
    `reportStrand` in interface `AGAVEBioSeqCallbackItf`

### reportFeature

    public void reportFeature(Location loc)

  Description copied from interface: `AGAVEBioSeqCallbackItf`
  Allows nesting class that manages a gene template to gain information about its extent from nested elements. Strand is reported separately as some gene features may not have strand.

  Specified by:
    `reportFeature` in interface `AGAVEBioSeqCallbackItf`

### reportDna

    public void reportDna(java.lang.String dna_seq)

  Specified by:
    `reportDna` in interface `AGAVEBioSeqCallbackItf`

### startElementHandler

    public void startElementHandler(java.lang.String nsURI,
                                    java.lang.String localName,
                                    java.lang.String qName,
                                    org.xml.sax.Attributes attrs)
                             throws org.xml.sax.SAXException

  Description copied from class: `StAXFeatureHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`
  Throws:
    `org.xml.sax.SAXException`

### endElementHandler

    public void endElementHandler(java.lang.String nsURI,
                                  java.lang.String localName,
                                  java.lang.String qName,
                                  StAXContentHandler handler)
                           throws org.xml.sax.SAXException

  Description copied from class: `StAXFeatureHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXFeatureHandler`
  Throws:
    `org.xml.sax.SAXException`